package com.zehong.web.mapper;

import com.zehong.web.model.entity.TReportVehicleLocation;
import java.util.List;

/**
 * 车辆上报位置信息Mapper接口
 * 
 * @author zehong
 * @date 2024-08-21
 */
public interface TReportVehicleLocationMapper 
{
    /**
     * 查询车辆上报位置信息
     * 
     * @param locationId 车辆上报位置信息ID
     * @return 车辆上报位置信息
     */
    TReportVehicleLocation selectTReportVehicleLocationById(Long locationId);

    /**
     * 查询车辆上报位置信息列表
     * 
     * @param tReportVehicleLocation 车辆上报位置信息
     * @return 车辆上报位置信息集合
     */
    List<TReportVehicleLocation> selectTReportVehicleLocationList(TReportVehicleLocation tReportVehicleLocation);

    /**
     * 新增车辆上报位置信息
     * 
     * @param tReportVehicleLocation 车辆上报位置信息
     * @return 结果
     */
    int insertTReportVehicleLocation(TReportVehicleLocation tReportVehicleLocation);

    /**
     * 修改车辆上报位置信息
     * 
     * @param tReportVehicleLocation 车辆上报位置信息
     * @return 结果
     */
    int updateTReportVehicleLocation(TReportVehicleLocation tReportVehicleLocation);

    /**
     * 删除车辆上报位置信息
     * 
     * @param locationId 车辆上报位置信息ID
     * @return 结果
     */
    int deleteTReportVehicleLocationById(Long locationId);

    /**
     * 批量删除车辆上报位置信息
     * 
     * @param locationIds 需要删除的数据ID
     * @return 结果
     */
    int deleteTReportVehicleLocationByIds(Long[] locationIds);

    /**
     * 批量新增车辆位置信息
     * @param list
     * @return
     */
    int batchInsertReportVehicleLocationInfo(List<TReportVehicleLocation> list);
}
